package org.apache.commons.validator;

public class ShortTest extends AbstractNumberTest {
    public ShortTest(String name) {
        super(name);
        this.FORM_KEY = "shortForm";
        this.ACTION = "short";
    }

    public void testShortMin() throws ValidatorException {
        ValueBean info = new ValueBean();
        Short sh = Short.MIN_VALUE;
        info.setValue(sh.toString());
        valueTest(info, true);
    }

    public void testShortMax() throws ValidatorException {
        ValueBean info = new ValueBean();
        Short sh = Short.MAX_VALUE;
        info.setValue(sh.toString());
        valueTest(info, true);
    }

    public void testShortBeyondMin() throws ValidatorException {
        ValueBean info = new ValueBean();
        info.setValue("-327681");
        valueTest(info, false);
    }

    public void testShortBeyondMax() throws ValidatorException {
        ValueBean info = new ValueBean();
        info.setValue("327671");
        valueTest(info, false);
    }
}
