package org.apache.commons.validator;

import com.vendor.xzjh.settings.util.ShellUtils;
import java.io.Serializable;

public class Var implements Cloneable, Serializable {
    public static final String JSTYPE_INT = "int";
    public static final String JSTYPE_REGEXP = "regexp";
    public static final String JSTYPE_STRING = "string";
    private static final long serialVersionUID = -684185211548420224L;
    private String bundle = null;
    private String jsType = null;
    private String name = null;
    private boolean resource = false;
    private String value = null;

    public Var() {
    }

    public Var(String name2, String value2, String jsType2) {
        this.name = name2;
        this.value = value2;
        this.jsType = jsType2;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name2) {
        this.name = name2;
    }

    public String getValue() {
        return this.value;
    }

    public void setValue(String value2) {
        this.value = value2;
    }

    public boolean isResource() {
        return this.resource;
    }

    public void setResource(boolean resource2) {
        this.resource = resource2;
    }

    public String getBundle() {
        return this.bundle;
    }

    public void setBundle(String bundle2) {
        this.bundle = bundle2;
    }

    public String getJsType() {
        return this.jsType;
    }

    public void setJsType(String jsType2) {
        this.jsType = jsType2;
    }

    @Override // java.lang.Object
    public Object clone() {
        try {
            return super.clone();
        } catch (CloneNotSupportedException e) {
            throw new RuntimeException(e.toString());
        }
    }

    public String toString() {
        StringBuilder results = new StringBuilder();
        results.append("Var: name=");
        results.append(this.name);
        results.append("  value=");
        results.append(this.value);
        results.append("  resource=");
        results.append(this.resource);
        if (this.resource) {
            results.append("  bundle=");
            results.append(this.bundle);
        }
        results.append("  jsType=");
        results.append(this.jsType);
        results.append(ShellUtils.COMMAND_LINE_END);
        return results.toString();
    }
}
