package org.apache.commons.validator.routines.checkdigit;

public class ModulusTenSedolCheckDigitTest extends AbstractCheckDigitTest {
    private static String[] invalidCheckDigits = {"026349E", "087061C", "B06LQ9H", "343757F", "B07LF5F"};

    public ModulusTenSedolCheckDigitTest(String name) {
        super(name);
    }

    /* access modifiers changed from: protected */
    public void setUp() throws Exception {
        super.setUp();
        this.routine = new ModulusTenCheckDigit(new int[]{1, 3, 1, 7, 3, 9, 1});
        this.valid = new String[]{"0263494", "0870612", "B06LQ97", "3437575", "B07LF55"};
        this.invalid = new String[]{"123#567"};
        this.zeroSum = "0000000";
    }

    public void testVALIDATOR_346() {
        int i = 0;
        while (true) {
            String[] strArr = invalidCheckDigits;
            if (i < strArr.length) {
                String invalidCheckDigit = strArr[i];
                assertFalse("Should fail: " + invalidCheckDigit, this.routine.isValid(invalidCheckDigit));
                i++;
            } else {
                return;
            }
        }
    }
}
