package org.apache.commons.validator.routines.checkdigit;

public class ISSNCheckDigitTest extends AbstractCheckDigitTest {
    public ISSNCheckDigitTest(String name) {
        super(name);
    }

    /* access modifiers changed from: protected */
    public void setUp() throws Exception {
        super.setUp();
        this.routine = ISSNCheckDigit.ISSN_CHECK_DIGIT;
        this.valid = new String[]{"03178471", "1050124X", "15626865", "10637710", "17487188", "02642875", "17500095", "11881534", "19111479", "19111460", "00016772", "1365201X"};
        this.invalid = new String[]{"03178472", "1050-124X", " 1365201X", "1365201X ", " 1365201X "};
        this.missingMessage = "Code is missing";
        this.zeroSum = "00000000";
    }
}
